Create Credit Card Auto Pay (GQL)

Note: All the Auto Pay API's have the endpoint: /graphql

Use this GraphQL API to set up an automatic payment for a credit card account.The auto-pay configuration will deduct the specified amount or full balance from the linked account automatically on the due date.
This ensures timely payments and helps avoid late fees or interest charges.

Behaviour : A successful response confirms that the credit card auto-pay standing instruction has been successfully created.

Body Params

The following fields provide detailed information about the GraphQL mutation to create a credit card auto-pay configuration:

ParameterDescriptionMandatoryData TypeExample
createCreditCardAutoPayConfigThis mutation creates a new auto-pay configuration for a credit card.YesMutation
inputAn object containing the details required to set up the credit card auto-pay.YesObject
nameThe name of the auto-pay configuration.YesString"Credit Card Auto Pay"
instructionTypeThe type of auto-pay instruction.YesInteger1
fromAccountIdThe account ID from which the payment will be deducted.YesInteger2
toAccountIdThe account ID to which the payment will be credited.YesInteger3
amountThe amount to be automatically paid from the linked account.YesFloat10.00
statusThe status of the auto-pay configuration, where 1 indicates active.YesInteger1
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json